> For the complete documentation index, see [llms.txt](https://apidocs.nhanh.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.nhanh.vn/v3/ecom/shop.md).

# Danh sách gian hàng trên sàn

* API này dùng để lấy [danh sách gian hàng trên sàn](https://nhanh.vn/ecommerce/manage/setting): Shopee, Tiktok, Lazada, Tiki, Sendo.

## Request

* Xem [common request params](/v3/readme.md#request-params).

```curl
curl --location --globoff 'https://pos.open.nhanh.vn/v3.0/ecom/shop?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--header 'Content-Type: application/json' \
--data '{
    "filters": {
        "appIds": [8142, 8195]
    },
    "paginator": {
        "size": 50
    }
}'
```

### Filters

| Key    | Type  | Description                                                                                |
| ------ | ----- | ------------------------------------------------------------------------------------------ |
| appIds | array | [Id các sàn trên Nhanh.vn](/v3/modelconstant.md#ecommerce-appid), để trống để lấy toàn bộ. |

## Response

* Xem cấu trúc chung [tại đây](/v3/readme.md#response).

### Failed response

* Xem các mã lỗi chung [tại đây](/v3/readme.md#failed-response).

### Successful response

```json
{
    "code": 1,
    "paginator": {
        "next": "(int) ID bản ghi tiếp theo"
    },
    "data": [
        {
          "appId": "(int) ID sàn",
          "shop": {
              "id": "(string) ID gian hàng",
              "name": "(string) Tên gian hàng"
          },
          "expriredAt": "(int) Thời gian hết hạn gian hàng",
          "createdAt": "(int) Thời gian kết nối gian hàng"
        },
      {
        "appId": "(int) ID sàn",
        "shop": {
          "id": "(string) ID gian hàng",
          "name": "(string) Tên gian hàng"
        },
        "expriredAt": "(int) Thời gian hết hạn gian hàng",
        "createdAt": "(int) Thời gian kết nối gian hàng"
      }
    ]    
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v3/ecom/shop.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
